import type { ElementType, HTMLAttributes } from 'react';
import type { ToastHeaderProps, ToastProps } from 'react-bootstrap';
import type { BsPrefixProps } from 'react-bootstrap/helpers';
export declare type ToastIdType = number;
export declare type ToastPropsOmitBg = Omit<ToastProps, 'bg'>;
export declare type ToastOptions<T extends ToastProps> = {
    headerContent: string | JSX.Element;
    bodyContent: string | JSX.Element;
    toastProps?: T;
    toastHeaderProps?: ToastHeaderProps;
    toastBodyProps?: BsPrefixProps & HTMLAttributes<ElementType>;
};
export declare type ToastOptionsWithId = ToastOptions<ToastProps> & {
    id: ToastIdType;
};
export interface ToastsHandle {
    show: (toastOptionsWithId: ToastOptionsWithId) => void;
    hide: (id: ToastIdType) => void;
}
